﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace RadioButtonList_EF_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            return View(this.GetCustomers());
        }

        [HttpPost]
        public IActionResult Index(string customer)
        {
            var selectedCustomer = this.GetCustomers().Find(p => p.Value == customer);
            if (selectedCustomer != null)
            {
                selectedCustomer.Selected = true;
                ViewBag.Message = "Selected Customer: " + selectedCustomer.Text;
            }

            return View(this.GetCustomers());
        }

        private List<SelectListItem> GetCustomers()
        {
            List<SelectListItem> customerList = (from p in this.Context.Customers
                                                 select new SelectListItem
                                                 {
                                                     Text = p.Name,
                                                     Value = p.CustomerId.ToString()
                                                 }).ToList();

            return customerList;
        }
    }
}